---
# Setup smtp container
- name: Stop & Disable exim4 MTA
  ansible.builtin.systemd:
    name: exim4
    state: stopped
    enabled: no
  become: true

- ansible.builtin.include_role: 
    name: notmycloud.podman_systemd
  no_log: true
  vars:
    PODMAN_SYSTEMD_DEPLOY:
      ansible:
        systemd:
          containers:
            smtp:
              podman_options:
                image: "registry.gitlab.com/notmycloud/smtpsmartrelay:latest"
                ports:
                  - "{{ port_local_smtp }}:2525"
                volumes: 
                  - host: /etc/localtime
                    container: /etc/localtime
                    options: ro
                  - host: /etc/ssl/certs/
                    container: /etc/ssl/certs/
                    options: ro
                environment:
                  SMTP_SMART_RELAY_SERVER_DOMAIN: sg.{{ net_base_domain }}
                  SMTP_SMART_RELAY_SERVER_ALLOW_INSECURE_AUTH: true
                  SMTP_SMART_RELAY_SERVER_ENABLE_SASL_LOGIN: true
                  SMTP_SMART_RELAY_SENDGRID_API_KEY: "{{ lookup('cached', 'viczem.keepass.keepass', 'External/Sendgrid', 'password') }}"
                  SMTP_SMART_RELAY_SENDGRID_OVERRIDE_NAME: true
                  SMTP_SMART_RELAY_SENDGRID_OVERRIDE_DOMAIN: sg.{{ net_base_domain }}
                labels:
                  diun.enable: true
                other_options:
                  # - '--init'
                  - '--cap-drop=all'
                  - '--security-opt=no-new-privileges'
                  - '--userns keep-id'
